summaryrefslogtreecommitdiffstats
path: root/src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in')
-rw-r--r--src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in47
1 files changed, 47 insertions, 0 deletions
diff --git a/src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in b/src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in
new file mode 100644
index 0000000..4987878
--- /dev/null
+++ b/src/share/database/scripts/mysql/upgrade_005.1_to_005.2.sh.in
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Copyright (C) 2018-2021 Internet Systems Consortium, Inc. ("ISC")
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+# shellcheck disable=SC1091
+# SC1091: Not following: ... was not specified as input (see shellcheck -x).
+
+# Exit with error if commands exit with non-zero and if undefined variables are
+# used.
+set -eu
+
+# shellcheck disable=SC2034
+# SC2034: ... appears unused. Verify use (or export if used externally).
+prefix="@prefix@"
+
+# Include utilities. Use installed version if available and
+# use build version if it isn't.
+if [ -e @datarootdir@/@PACKAGE_NAME@/scripts/admin-utils.sh ]; then
+ . "@datarootdir@/@PACKAGE_NAME@/scripts/admin-utils.sh"
+else
+ . "@abs_top_builddir@/src/bin/admin/admin-utils.sh"
+fi
+
+VERSION=$(mysql_version "$@")
+
+if [ "$VERSION" != "5.1" ]; then
+ printf 'This script upgrades 5.1 to 5.2. '
+ printf 'Reported version is %s. Skipping upgrade.\n' "${VERSION}"
+ exit 0
+fi
+
+mysql "$@" <<EOF
+
+# Make subnet_id column types consistent with lease table columns
+ALTER TABLE dhcp4_options MODIFY dhcp4_subnet_id INT UNSIGNED;
+ALTER TABLE dhcp6_options MODIFY dhcp6_subnet_id INT UNSIGNED;
+
+# Update the schema version number
+UPDATE schema_version
+SET version = '5', minor = '2';
+# This line concludes database upgrade to version 5.2.
+
+EOF